//
// PING service
//
// Copyright (c) 2002 by Michael Newman all rights reserved.
// This application may be used without charge for non-commercial use.
// For other use contact the author at:
//
//	mnewman@dragonnorth.com
//	Michael Newman
//	319 Dean Road
//	Brookline, MA
//	02445
//
// Revision History:
//	22April2002:	Created

#ifndef _PING_SERVICE_H

#define pingHedit 1
extern int pingEdit;

#define _PING_SERVICE_H

#include <stdio.h>
#include <stdlib.h>

#define REQ_DATASIZE 32		// Echo Request Data size

// Probe a host with a ping request n times. Report failures
//
// Calls SendEchoRequest() and
// RecvEchoReply() and prints results
//
// Inputs:
//	fp		file to report failures to
//	pstrHost	name of host for error reporting
//	hostIP		host to probe
//	count		number of times to probe
//	verbose		0 for no logs of timeouts
// Outputs:
//	timouts		pointer to cell counted for each timeout
// Returns:
//	true	host was present and answered
//	false	no host or no answer
int ping(FILE *fp,LPCSTR pstrHost,UINT32 hostIP,int count,int verbose,int *timeouts);

// Used by ping to report errors, must be defined by the caller
extern void ReportError(FILE *fp,LPCSTR pText);

#endif	//defined _PING_SERVICE_H
